## org.apache.batik.ext.awt.image.spi
Class MagicNumberRegistryEntry.MagicNumber

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry.MagicNumber

Enclosing class:
  MagicNumberRegistryEntry

    public static class MagicNumberRegistryEntry.MagicNumber

extends java.lang.Object

Inner class that represents one magic number. Simply consists of an offset in bytes from the start of the file, and a byte array that must match.

Constructor Summary
`MagicNumberRegistryEntry.MagicNumber(int offset, byte[] magicNumber)` Constructor.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MagicNumberRegistryEntry.MagicNumber

    public MagicNumberRegistryEntry.MagicNumber(int offset,
                                                byte[] magicNumber)

  Constructor.

  Parameters:
    `offset` - the location of the magic number in file.
    `magicNumber` - the sequence of bytes that must match.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.